﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Telerik.OpenAccess.Metadata.Fluent;
using Telerik.OpenAccess.Metadata;

namespace OpenAccessModel20
{
    public class ValidationSource : FluentMetadataSource
    {
        protected override IList<MappingConfiguration> PrepareMapping()
        {
            return new List<MappingConfiguration>();
        }

        protected override Telerik.OpenAccess.Metadata.MetadataContainer CreateModel()
        {
            
            //if (System.AppDomain.CurrentDomain.ApplicationIdentity.FullName == "ConsoleApp")
            {
                var source = XmlMetadataSource.FromAssemblyResource("EntitiesModel.rlinq");
                return source.GetModel();
            }
            //else 
            {
                return base.CreateModel();
            }
        }
    }
}
